---
title: GlobalEventHandlers.onmousemove
slug: Web/API/GlobalEventHandlers/onmousemove
tags:
  - API
  - Event Handler
  - GlobalEventHandlers
  - HTML DOM
  - Property
  - Reference
---
<div>{{ApiRef("HTML DOM")}}</div>

<p>The <code><strong>onmousemove</strong></code> property of the {{domxref("GlobalEventHandlers")}} mixin is an {{domxref("EventHandler")}} that processes {{event("mousemove")}} events.</p>

<p>The <code>mousemove</code> event fires when the user moves the mouse.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>target</em>.onmousemove = <em>functionRef</em>;
</pre>

<h3 id="Value">Value</h3>

<p><code>functionRef</code> is a function name or a <a href="/en-US/docs/Web/JavaScript/Reference/Operators/function">function expression</a>. The function receives a {{domxref("MouseEvent")}} object as its sole argument.</p>

<h2 id="Examples">Examples</h2>

<h3 id="Tooltips">Tooltips</h3>

<p>This example creates link tooltips that follow your mouse. It uses the <code>onmousemove</code>, {{domxref("GlobalEventHandlers.onmouseover", "onmouseover")}}, and {{domxref("GlobalEventHandlers.onmouseout", "onmouseout")}} event handlers.</p>

<h4 id="HTML">HTML</h4>

<pre class="brush: html">&lt;p&gt;&lt;a href="#" data-tooltip="First link"&gt;See a tooltip here &amp;hellip;&lt;/a&gt;&lt;/p&gt;
&lt;p&gt;&lt;a href="#" data-tooltip="Second link"&gt;&amp;hellip; or here!&lt;/a&gt;&lt;/p&gt;</pre>

<h4 id="CSS">CSS</h4>

<pre class="brush: css">.tooltip {
  position: absolute;
  z-index: 9999;
  padding: 6px;
  background: #ffd;
  border: 1px #886 solid;
  border-radius: 5px;
}</pre>

<h4 id="JavaScript">JavaScript</h4>

<pre class="brush: js">const tooltip = new (function() {
  const node = document.createElement('div');
  node.className = 'tooltip';
  node.setAttribute('hidden', '');
  document.body.appendChild(node);

  this.follow = function(event) {
    node.style.left = event.clientX + 20 + 'px';
    node.style.top = event.clientY + 10 + 'px';
  };

  this.show = function(event) {
    node.textContent = event.target.dataset.tooltip;
    node.removeAttribute('hidden');
  };

  this.hide = function() {
    node.setAttribute('hidden', '');
  };
})();

const links = document.querySelectorAll('a');

links.forEach(link =&gt; {
  link.onmouseover = tooltip.show;
  link.onmousemove = tooltip.follow;
  link.onmouseout = tooltip.hide;
});</pre>

<h4 id="Result">Result</h4>

<p>{{EmbedLiveSample("Tooltips")}}</p>

<h3 id="Draggable_elements">Draggable elements</h3>

<p>We also have an example available showing the use of the <code>onmousemove</code> event handler with draggable objects — <a href="https://mdn.mozillademos.org/files/5031/draggable_elements.html">view the example in action</a>.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('HTML WHATWG','webappapis.html#handler-onmousemove','onmousemove')}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td> </td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.GlobalEventHandlers.onmousemove")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{event("mousemove")}} event</li>
</ul>
